%define oname xfce4-session 

%define lib_major       0
%define lib_name        %mklibname xfsm-4.2_%{lib_major}

Summary: 	Xfce Session Manager
Name: 		xfce-session
Version: 	4.2.2
Release: 	%mkrel 2
License:	BSD
URL: 		http://www.xfce.org/
Source0: 	%{oname}-%{version}.tar.bz2 
# (mpol) 4.2.0-2mdk disable compositor at runtime
Patch2:		xfce4-session-no_compositor.patch.bz2
# (mpol) 4.2.2-2mdk use usermode-consoleonly for halt/reboot
Patch3:		xfce4-session-4.2.2-shutdown.patch.bz2
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-mcs-manager >= %{version}
#Requires:	usermode-consoleonly
Requires:       %{lib_name} = %{version}-%{release}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	X11

%description
Xfce-session is the session manager for the Xfce Desktop Environment.

%package -n %{lib_name}
Summary:	Libraries for the Xfce Session Manager
Group:		Graphical desktop/Xfce

%description -n %{lib_name}
Libraries for xfce-session manager

%package -n %{lib_name}-devel
Summary:	Libraries and header files for the Xfce Session Manager
Group:		Development/Other
Requires:	%{lib_name} = %{version}-%{release}
Provides:	libxfsm-devel, libxfsm-4.2-devel 
 
%description -n %{lib_name}-devel
Libraries and header files for the Xfce Session Manager.

%prep
%setup -q -n %{oname}-%{version}
%patch2 -p1 -b .no_compositor
%patch3 -p1 -b .shutdown

%build
%configure2_5x --with-shutdown-style=redhat --sysconfdir=%_sysconfdir/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

# Remove devel files from plugins
rm -f $RPM_BUILD_ROOT/%{_libdir}/xfce4/splash/engines/*.*a \
	$RPM_BUILD_ROOT/%{_libdir}/xfce4/mcs-plugins/*.*a


%find_lang %oname

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %oname.lang
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog ChangeLog.pre-xfce-devel INSTALL NEWS README TODO
%doc docs/FAQ docs/README.Kiosk docs/C/xfce4* 
%doc %dir %{_datadir}/xfce4/doc/*/*.html
%doc %dir %{_datadir}/xfce4/doc/*/images/*
%dir %{_sysconfdir}/X11/xdg/xfce4-session/
%config(noreplace) %{_sysconfdir}/X11/xdg/xfce4-session/*
#%{_datadir}/xfce4/splash
%{_bindir}/*
#%{_sbindir}/*
%{_datadir}/applications/xfce*
%{_datadir}/icons/*/*/apps/xfce*
%{_datadir}/icons/*/*/*/xfsm*
%{_datadir}/themes
%{_libdir}/xfce4/mcs-plugins/*.so
%{_libdir}/balou*
%{_libdir}/xfce4/splash/engines/*.so
%{_libdir}/xfsm-shutdown-helper
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/lib*.so.* 

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/xfce4/xfce4-session-4.2
%{_includedir}/xfce4/xfce4-session-4.2/*/*.h

%changelog
* Sun Jul 31 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-2mdk
- use usermode-consoleonly for halt/reboot (bug #16656)
- clean up devel files

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel
- update (build)requires
- update filelist

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sun Feb 05 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-4mdk
- really fix P2

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-3mdk
- really drop P0
- drop P1, start xftaskbar by default

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce
- fix P2

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Tue Dec 28 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-4mdk
- buildrequires X11

* Mon Dec 27 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-3mdk
- disable P2 fo now, it breaks

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-2mdk
- P2: disable compositor by default

* Sun Dec 26 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)
- rm used srouce and patch form rpm 

* Fri Nov 19 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-3mdk
- fix description, it's stable now
- s/XFce/Xfce
- Patch1: don't start taskbar in default session

* Fri Nov 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.1-2mdk
- bz2 source

* Thu Nov 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1 (4.2 RC 1)
- drop S1 and Pand use shutdown-style=none (This gives users the perms to 
  only save and exit session)
- librafication 
- update file list

* Fri Dec 26 2003 Marcel Pol <mpol@mandrake.org> 0.1.4-1mdk
- 0.1.4
- requires: usermode-consoleonly
- remove devel file and unused xinitrc script
- include more docs
- don't run xftaskbar4 in default session
- include readme.mdk

* Fri Nov 21 2003 Marcel Pol <mpol@gmx.net> 0.1.3-0.20031119.1mdk
- initial package from Gtz Waschk

